package com.st.hook;

import org.osgi.service.component.annotations.Component;

import com.liferay.blogs.kernel.model.BlogsEntry;
import com.liferay.blogs.kernel.service.BlogsEntryLocalServiceWrapper;
import com.liferay.portal.kernel.exception.PortalException;
import com.liferay.portal.kernel.service.ServiceContext;
import com.liferay.portal.kernel.service.ServiceWrapper;
import com.liferay.portal.kernel.servlet.taglib.ui.ImageSelector;

@Component(
	immediate = true,
	property = {
	},
	service = ServiceWrapper.class
)
public class CustomBlogsEntryServiceWrapper extends BlogsEntryLocalServiceWrapper {

	public CustomBlogsEntryServiceWrapper() {
		super(null);
	}

	@Override
	public BlogsEntry addEntry(long userId, String title, String subtitle,
			String description, String content, int displayDateMonth,
			int displayDateDay, int displayDateYear, int displayDateHour,
			int displayDateMinute, boolean allowPingbacks,
			boolean allowTrackbacks, String[] trackbacks,
			String coverImageCaption, ImageSelector coverImageImageSelector,
			ImageSelector smallImageImageSelector, ServiceContext serviceContext)
			throws PortalException {

		title = title + " : Surekhatech";

		return super.addEntry(userId, title, subtitle, description, content,
				displayDateMonth, displayDateDay, displayDateYear, displayDateHour,
				displayDateMinute, allowPingbacks, allowTrackbacks, trackbacks,
				coverImageCaption, coverImageImageSelector, smallImageImageSelector,
				serviceContext);
	}
	
}